import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.InputStreamReader;
import java.io.PrintWriter;


public class Simulation {
	public static final String VER = "1.1.0.2";

	public static void main(String[] args) {
		System.out.println("マーガレット2011α処理系　ver."+VER);
		SettingMatch match = null ;
		try {
			// result.txt初期化
			PrintWriter fout = null ;
			fout = new PrintWriter(new BufferedWriter(new  FileWriter(SettingMatch.ResultFileName)));
			fout.close();

			match = new RoundRobin("player.txt") ;
			if( match != null ){
				match.exec() ;
			}
		} catch (Exception e) {
			System.out.println("【エラー発生！】エンターキーで終了します。");
			System.out.println(e.getMessage());
			exceptionExit();
		}
		
	}
	
	public static void exceptionExit(){
		// エンターを押すと終了
		BufferedReader fin = new BufferedReader( new InputStreamReader(System.in));
		try {
			fin.readLine() ;
			File deleteFile = new File(SettingMatch.ResultFileName);				
			deleteFile.delete();
			deleteFile = new File(SettingMatch.ResultTableFileName+".txt");
			deleteFile.delete();
			deleteFile = new File(SettingMatch.ResultTableFileName+".csv");
			deleteFile.delete();
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}

